/*
 * Copyright (c) 2003 Patrick van Staveren <pvanstav@cs.wmich.edu>
 * Copyright (c) 2005 Mario Streiber <mario.streiber@gmx.de>
 * Copyright (c) 2005-2009 Kemal Ilgar Eroglu <ilgar_eroglu@yahoo.com> 
 * 
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef POPUPMENU_H
#define POPUPMENU_H

#include <gtk/gtk.h>

#include "playercontrol_plugin.h"
#include "playerctrl.h"

typedef enum
{
  ITEM_OPEN 	= 1 << 0,
  ITEM_ADD  	= 1 << 1,
  ITEM_CLEAR  	= 1 << 2,
  ITEM_REPEAT 	= 1 << 3,
  ITEM_SHUFFLE 	= 1 << 4,
  ITEM_VIEW_MAIN 	= 1 << 5,
  ITEM_VIEW_PL 	= 1 << 6,
  ITEM_VIEW_EQ 	= 1 << 7,
  ITEM_PREFS  	= 1 << 8,
  ITEM_POWER  	= 1 << 9,
  ITEM_JTF  	= 1 << 10,  
  
} MenuOpts;



/**
 * create popupmenu
 * this menu is automatically destroyed when selection is done.
 * @return popupmenu widget
 */
GtkWidget * create_popupmenu(plugin_data *pd);

#endif
